Description

Moreover i think that opening in editor mode should create temporary new file and should allow to create them.

    -  New file should only be stored in memory.

    -  If user press close button there should be prompt about unsaved temporary file.

    -  If user save file it should be executed as save as operation.

History

#1 - 09/24/2014 08:39 PM - Miroslav Fidler

Why? theide is not wordprocessor...

Besides, theide cannot store files in memory. Would be significant work to do so.

#2 - 09/24/2014 09:20 PM - Zbigniew Rebacz

I thouth that if upp supports editor mode you wanted to create alternative to code wordprocessors.

    -  New file concept is probably useless in ide mode, but pure editor mode could be nice alternative to other code wordprocessors.

    -  It's just my observation that editor mode without this feature has some limitations.

#3 - 09/25/2014 08:32 AM - Miroslav Fidler

OK, you might be right about editor mode.

However, the whole workflow around such "New" feature is not really that easy to define. E.g. what highlighting will such file use? When exactly it is to be

saved?

I know you expect it to be saved when tab is closed, but that is no good either, as in ide tabs are just another way to access files in workspace. I mean, it

would completely against the whole model if the new file was not in <temp>...

#4 - 09/25/2014 11:59 PM - Zbigniew Rebacz

- Status changed from New to Rejected

I think it can wait for better occassion ... :) It is now rejected.

#5 - 09/25/2014 11:59 PM - Zbigniew Rebacz
- Assignee deleted (Miroslav Fidler)
